<?php
class LSTVista extends AppListado{
	
	
	public function init(){
		
	
		$this->setClase('Vista');
		$this->setPoderPaginar(false);
		$this->setUrlCreacion(BASEURL.'/vista/editar');
		
		$this->addAccionNuevoEnGrid();
		
		
		
		$columan = new CLMTexto('nombre', '$nombre#', 'Nombre');
		$columan->setEnlace('/vista/editar/id/$id_vista#', '$nombre#');
		$columan->setAgrupable(true);
		$columan->setEditable('nombre');
		$this->addColumna($columan);
		
		
		
		
		$acciones = new CLMAccion('accion', 'vista');
		$acciones->addAccionEliminar(array('id' => '$id_vista#'), 'Desea Eliminar la vista?');
		$acciones->setAncho(60);
		$this->addColumna($acciones);
		
		
		
		
		
	}
	
	public function __construct(){
	parent::__construct();	
	}
	
}
